Bug 235793 - ports-mgmt/portmaster: Does not support 'TRYBROKEN=yes'
Summary: ports-mgmt/portmaster: Does not support 'TRYBROKEN=yes'
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Stefan Esser
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-17 04:06 UTC by Yasuhiro KIMURA
Modified: 2020-01-26 18:22 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (se)


Attachments
svn-diff-trybroken (13.97 KB, patch)
2019-08-16 17:33 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-trybroken_2 (13.99 KB, patch)
2019-08-16 18:13 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-trybroken_3 (12.58 KB, patch)
2020-01-23 20:32 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-02-17 04:06:28 UTC
portmaster does not support 'TRYBROKEN=yes'.

root@eastasia[1242]# TRYBROKEN=yes portmaster www/havp

===>>> Port directory: /usr0/freebsd/ports/head/www/havp

        ===>>> This port is marked BROKEN
        ===>>> fails to build


        ===>>> If you are sure you can build it, remove the
               BROKEN line in the Makefile and try again.
root@eastasia[1243]# portmaster -m TRYBROKEN=yes www/havp

===>>> Port directory: /usr0/freebsd/ports/head/www/havp

        ===>>> This port is marked BROKEN
        ===>>> fails to build


        ===>>> If you are sure you can build it, remove the
               BROKEN line in the Makefile and try again.
root@eastasia[1244]#
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-16 17:33:30 UTC
Created attachment 206621 [details]
svn-diff-trybroken

It is a workaroud patch.

Works in your example:

portmaster -m -DTRYBROKEN www/havp
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-16 18:13:45 UTC
Created attachment 206623 [details]
svn-diff-trybroken_2

Changed it slightly:
you can use
portmaster -m -DTRYBROKEN www/havp
or
portmaster -m -DTRYBROKEN=yes  www/havp
Comment 3 Walter Schwarzenfeld freebsd_triage 2020-01-23 20:32:45 UTC
Created attachment 210995 [details]
svn-diff-trybroken_3

Update patch after ports r523835.
Comment 4 commit-hook freebsd_committer 2020-01-26 18:19:19 UTC
A commit references this bug:

Author: se
Date: Sun Jan 26 18:19:01 UTC 2020
New revision: 524227
URL: https://svnweb.freebsd.org/changeset/ports/524227

Log:
  Add option --try-broken

  This option makes portmaster try to build ports that are marked as
  BROKEN or IGNORE.

  Passing this option implies the "-m -DTRYBROKEN" option.

  The change is inspired by (but not based on) the patch suggested by
  Walter Schwarzenfeld.

  PR:		235793
  Reported by:	Yasuhiro KIMURA
  Approved by:	antoine (implicit)

Changes:
  head/ports-mgmt/portmaster/Makefile
  head/ports-mgmt/portmaster/files/patch-files_portmaster.8
  head/ports-mgmt/portmaster/files/patch-portmaster
Comment 5 Stefan Esser freebsd_committer 2020-01-26 18:22:46 UTC
Thank you for providing the patch!

I have chosen to add this feature in a different way, but have been able to use your patch as the starting point ...